Modify

Opened 6 weeks ago

Closed 6 weeks ago

#21631 closed defect (invalid)

Validator : "Check if note can be deleted" cannot be translated

Reported by: leni Owned by: leni
Priority: normal Milestone:
Component: External rule Version:
Keywords: template_report Cc:

Description

What steps will reproduce the problem?

  1. In "fr:josm" I upload an area in which an object has the tag note

What is the expected result?

see the warning in French

What happens instead?

I see the warning in English

Please provide any additional information below. Attach a screenshot if possible.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2021-11-01 23:05:46 +0100 (Mon, 01 Nov 2021)
Build-Date:2021-11-01 22:25:18
Revision:18303
Relative:URL: ^/trunk

Identification: JOSM/1.5 (18303 fr) Windows 10 64-Bit
OS Build number: Windows 10 Home 2009 (19042)
Memory Usage: 576 MB / 910 MB (254 MB allocated, but free)
Java version: 1.8.0_311-b11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.formdev.flatlaf.FlatLightLaf
Screen: \Display0 1920×1080 (scaling 1.00×1.00)
Maximum Screen Size: 1920×1080
Best cursor sizes: 16×16→32×32, 32×32→32×32
System property file.encoding: Cp1252
System property sun.jnu.encoding: Cp1252
Locale info: fr_FR
Numbers with default locale: 1234567890 -> 1234567890

Plugins:
+ Mapillary (2.0.0-alpha.49)
+ PicLayer (1.0.1)
+ apache-commons (35524)
+ apache-http (35589)
+ contourmerge (v0.1.8)
+ ejml (35458)
+ flatlaf (35862)
+ geotools (35458)
+ imagery_offset_db (35640)
+ indoorhelper (1.2.0)
+ jaxb (35543)
+ jna (35662)
+ jts (35458)
+ measurement (35640)
+ openqa (0.2.2)
+ photo_geotagging (35783)
+ photoadjust (35770)
+ scripting (30798)
+ shrinkwrap (v1.0.4)
+ tageditor (35640)
+ turnrestrictions (35640)
+ undelete (35848)
+ utilsplugin2 (35856)
+ wikipedia (1.1.4)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/ParkingLanes&zip=1
+ https://github.com/Jungle-Bus/josm-presets/raw/gh-pages/jungle-stops/preset.zip

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_features&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_features_ryg&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/PTStops&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1
+ <josm.pref>\styles\sit.mapcss
+ <josm.pref>\styles\sit.mapcss
- <josm.pref>\styles\sit.mapcss

Validator rules:
+ https://raw.githubusercontent.com/nlehuby/transport_mapcss/master/transport.validator.mapcss

Attachments (3)

traduction Validator.png (19.4 KB) - added by leni 6 weeks ago.
traductionValidatorJungleBus.png (15.9 KB) - added by leni 6 weeks ago.
French_validator_message_2021-12-04 16-06-01.jpg (9.1 KB) - added by skyper 6 weeks ago.
screenshot

Download all attachments as: .zip

Change History (9)

Changed 6 weeks ago by leni

Attachment: traduction Validator.png added

comment:1 Changed 6 weeks ago by skyper

Component: Core validatorExternal rule
Version: latest

I think the warning is from the external rule transport.validator.mapcss. Please, hover the mouse over the warning and take a look at the source of the warning in the quick info popping up.
I do not find this rule in the list of available rules and it might be outdated. The warning is included in the external rule Jungle Bus and translated: Vérifier si la note peut être supprimée

comment:2 Changed 6 weeks ago by skyper

Owner: changed from team to leni
Status: newneedinfo

Changed 6 weeks ago by leni

comment:3 in reply to:  1 ; Changed 6 weeks ago by leni

Owner: changed from leni to team
Status: needinfonew

Replying to skyper:

I think the warning is from the external rule transport.validator.mapcss.
Please, hover the mouse over the warning and take a look at the source of the warning in the quick info popping up.

you are right!
we will see with the next version ?

Changed 6 weeks ago by skyper

screenshot

comment:4 Changed 6 weeks ago by skyper

screenshot

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2021-12-02 09:54:09 +0100 (Thu, 02 Dec 2021)
Revision:18327
Build-Date:2021-12-03 02:31:02
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (18327 fr) Linux Debian GNU/Linux 11 (bullseye)
Memory Usage: 190 MB / 256 MB (42 MB allocated, but free)
Java version: 17.0.1+12-Debian-1deb11u2, Debian, OpenJDK 64-Bit Server VM
Look and Feel: javax.swing.plaf.metal.MetalLookAndFeel

Environment variable LANG: en_US.utf8
System property file.encoding: UTF-8
System property sun.jnu.encoding: UTF-8
Locale info: fr_US


Plugins:
+ pt_assistant (1ff2e15)

Map paint styles:
+ https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1

Validator rules:
+ https://github.com/Jungle-Bus/transport_mapcss/raw/gh-pages/transport.validator.zip

Last errors/warnings:
- 00013.900 E: Impossible de trouver l'image "bus.png"

comment:5 in reply to:  3 Changed 6 weeks ago by skyper

Owner: changed from team to leni
Status: newneedinfo

Replying to leni:

we will see with the next version ?

I doubt that the translation in JungleBus is new and I get the translated message with r18303 with my setup. Something is strange again with your setup. Might be a similar problem with caching/downloading in different places like the last problem? Please, check your directories.

comment:6 Changed 6 weeks ago by leni

Resolution: invalid
Status: needinfoclosed

as usual you are right

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain leni.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.